Package org.eclipse.ui.menus

# Interface IWorkbenchContribution

All Known Implementing Classes:
  `BreakpointTypesContribution`

public interface IWorkbenchContribution
Allow a menu contribution to be initialized with the appropriate service locator.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(IServiceLocator serviceLocator)`
The service locator for this contribution.

## Method Details

### initialize

void initialize(IServiceLocator serviceLocator)
The service locator for this contribution. It will potentially exist longer than the lifecycle of this specific contribution, so ContributionItems should remove themselves from any listeners or services in their dispose() calls.

Parameters:
  `serviceLocator` - the locator which services can be retrieved. Will not be `null`